org.apache.solr.client.solrj.io

## Class SolrClientCache

- java.lang.Object
- - org.apache.solr.client.solrj.io.SolrClientCache

All Implemented Interfaces:
  Serializable

    public class SolrClientCache
    extends Object
    implements Serializable

The SolrClientCache caches SolrClients so they can be reused by different TupleStreams.

See Also:
  Serialized Form

### Field Summary

Fields
`protected static org.slf4j.Logger` `log`

### Constructor Summary

Constructors
Constructor and Description
`SolrClientCache()`

### Method Summary

Methods
`void` `close()`
`CloudSolrClient` `getCloudSolrClient(String zkHost)`
`HttpSolrClient` `getHttpSolrClient(String host)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static final org.slf4j.Logger log

### Constructor Detail

#### SolrClientCache

    public SolrClientCache()

### Method Detail

#### getCloudSolrClient

    public CloudSolrClient getCloudSolrClient(String zkHost)

#### getHttpSolrClient

    public HttpSolrClient getHttpSolrClient(String host)

#### close

    public void close()